List all work item types
curl --request GET \
--url https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-types/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-types/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-types/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Work Item Types
List all work item types
Returns a list of all work item types in a project.
GET
/
api
/
v1
/
workspaces
/
{workspace_slug}
/
projects
/
{project_id}
/
work-item-types
/
List all work item types
Path parameters
string
required
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug is my-team.string
required
The unique identifier of the project.
Query parameters
string
Filter by project ID.
number
Number of results to return per page.
number
Number of results to skip for pagination.
⌘I

